RubyGems Navigation menu

interact 0.4.6

A simple API for command-line interaction. Provides a novel 'rewinding' feature, allowing users to go back in time and re-enter a botched answer. Supports multiple-choice, password prompting, overriding input events, defaults, etc.

Gemfile
          gem 'interact', '~> 0.4.6'
  
  
  
  
  
  
  

install
          gem install interact -v 0.4.6
  
  
  
  
  
  
  

Total downloads 495,807

For this version 7,820

Show all versions (16 total)

Required Ruby Version: None

Links:

Versions:

  1. 0.5.2 - February 4, 2013 (10.5 KB)
  2. 0.5.1 - December 17, 2012 (10.5 KB)
  3. 0.5.0 - November 28, 2012 (10.5 KB)
  4. 0.4.8 - August 24, 2012 (9.5 KB)
  5. 0.4.7 - August 17, 2012 (9.5 KB)
Show all versions (16 total)

Development Dependencies: